Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.datatype
Class DefaultSelectionListBuilder

    java.lang.Object
      org.apache.cocoon.forms.datatype.DefaultSelectionListBuilder

All Implemented Interfaces:
  SelectionListBuilder

public class DefaultSelectionListBuilder
extends Object
implements SelectionListBuilder

Builds `SelectionList`s from an XML description or an URL.

Note: the class `DynamicSelectionList` also interprets the same `fd:selection-list` XML, so if anything changes here to how that XML is interpreted, it also needs to change over there and vice versa.

Version:
  $Id: DefaultSelectionListBuilder.java 587759 2007-10-24 03:00:37Z vgritsenko $

Field Summary

Fields inherited from interface org.apache.cocoon.forms.datatype.SelectionListBuilder
`ROLE`

Constructor Summary
`DefaultSelectionListBuilder()`

Method Summary
`SelectionList` | `build(Element selectionListElement, Datatype datatype)`
`void` | `setParser(org.apache.cocoon.core.xml.SAXParser parser)`
`void` | `setProcessInfoProvider(org.apache.cocoon.processing.ProcessInfoProvider processInfoProvider)`
`void` | `setSourceResolver(SourceResolver sourceResolver)`
`void` | `setXmlizer(XMLizer xmlizer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultSelectionListBuilder

    public DefaultSelectionListBuilder()

Method Detail

### build

    public SelectionList build(Element selectionListElement,
                               Datatype datatype)
                        throws Exception

  Specified by:
    `build` in interface `SelectionListBuilder`
  Throws:
    `Exception`

### setSourceResolver

    public void setSourceResolver(SourceResolver sourceResolver)

### setXmlizer

    public void setXmlizer(XMLizer xmlizer)

### setProcessInfoProvider

    public void setProcessInfoProvider(org.apache.cocoon.processing.ProcessInfoProvider processInfoProvider)

### setParser

    public void setParser(org.apache.cocoon.core.xml.SAXParser parser)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.